Subject: Re: screen saver
From: [email-masked] ("Cyrille Chepelov")

18 Oct 1996 18:06:16 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "Oliver Korfmacher" <[email-masked]>, <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

hi,

> anybody wrote a screen saver application using cygnus?
> Is it true that such an application (with this screen saver bit
> set) never puts any load on the machine which may affect its
> operation as a server?

Last time I checked, a screen saver was only a standard .exe renamed to
..scr, which creates a full-screen toplevel window, puts itself at priority
class "Idle" and starts playing with graphics. 
There is no "screen saver bit" to be set in the executable. 
Yes, a thread at priority class "idle" will rarely take precedence over a
thread at a higher level (it should in fact never, but murphy's law always
replaces ohm's). However, just put an OpenGL screen saver and benchmark
again your server... you'll be seriously disapointed (perhaps the OpenGL
screen savers <I>don't </I> put themselves at class "idle", or perhaps
something nasty in the GL subsystem hogs the CPU... I don't know... but it
still eats too many cycles for a server).

My preferred screen saver, however, eats 220V AC / 50Hz only when it is
*not* functioning...

good luck

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".